/* .blog-page {
    margin: 10px 0px;
} */
.blog_title_box {
    max-height: 390px;
    position: relative;
    border-radius: 0px 0px 35px 35px;
    overflow: hidden;
}

.blog_title_box img {
    max-height: 390px;
}

.weblog_title {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translateX(-50%);
    text-shadow: var(--gold-text-shadow);
}

.posts {
    margin: 100px 0px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: 50px;
}

.post-card {
    height: 200px;
    display: flex;
    align-items: center;
    justify-content: center;
    direction: ltr;
    gap: 20px;
    background-color: var(--box-color);
    border-radius: 30px;
    box-shadow: var(--div-box-shadow);
    padding: 20px;
}

.post-image-box {
    width: 200px;
    height: 150px;
    position: relative;
}

.post-image-box img {
    overflow: hidden;
    border-radius: 30px;
}

.post_link_button {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: -15px;
}

.post_link_button:hover {
    transform: translateX(-50%) scale(1.1);

}

.post-content-box {
    width: 200px;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5px;
    flex-direction: column;
}

.post-content-title {
    height: 30px;
}

.post-content-p {
    height: 130px;
    display: flex;
    align-items: center;
    justify-content: center;
}



/* pagination */
.paginationNav-container {
    width: 330px;
    position: relative;
    margin: 135px auto 78px auto;
}

.paginationNav {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 1px 2px 20px 10px var(--hover-color);
    height: 50px;
    border-radius: 25px;
    backdrop-filter: blur(2px);
    overflow: hidden;
    background: #f5deb375;
    direction: ltr;
}

.nav_bg {
    width: 100%;
    transform: rotate(90deg);
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: -1;
}

.paginationNavbtn {
    width: 20%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.6s 0.1s linear;
}

.paginationNavbtn:hover {
    background-color: #efc996a1;
}

.next-page,
.previous-page {
    width: 40%;
}

.current-page {
    background-color: var(--btn-color);
    color: var(--light-text-colors);
}

.first-page,
.current-page,
.next-page,
.previous-page {
    border-right: 1px solid white
}

.last-page {
    border-left: 1px soli white
}





.Related_link_box {
    width: 50%;
    margin: 0px auto 55px auto;
    display: flex;
    align-items: center;
    justify-content: center;
}

.Related_link {
    width: 100px;
    text-align: center;
    font-size: 18px;
    transform: scale(1);
    transition: all 0.5s 0.1s linear;
    color: var(--dark-text-colors);
    display: block;
}

.Related_link:hover {
    transform: scale(1.1);
}

@media (max-width:500px) {
    .blog-page {
        margin-top: 43px;
    }

    .post-card {
        width: 90%;
        padding: 10px;
    }

    .post_link_button {
        width: 130px;
    }

}

@media(max-width:400px) {
    .paginationNav-container {
        width: 85%;
    }


}